Name:          xml-commons-apis
Version:       1.4.01
Release:       %mkrel 25
Summary:       APIs for DOM, SAX, and JAXP
Group:         Development/Java
License:       ASL 2.0 and W3C and Public Domain
URL:           http://xml.apache.org/commons/
BuildArch:     noarch

# From source control because the published tarball doesn't include some docs:
#   svn export http://svn.apache.org/repos/asf/xml/commons/tags/xml-commons-external-1_4_01/java/external/
#   tar czf xml-commons-external-1.4.01-src.tar.gz external
Source0:       xml-commons-external-%{version}-src.tar.gz
Source1:       %{name}-MANIFEST.MF
Source2:       %{name}-ext-MANIFEST.MF
Source3:       http://repo1.maven.org/maven2/xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.pom
Source4:       http://repo1.maven.org/maven2/xml-apis/xml-apis-ext/1.3.04/xml-apis-ext-1.3.04.pom

BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: apache-parent

Provides:      xml-commons = %{version}-%{release}

# TODO: Ugh, this next line should be dropped since it actually provides JAXP 1.4 now...
Provides:      xml-commons-jaxp-1.3-apis = %{version}-%{release}

%description
xml-commons-apis is designed to organize and have common packaging for
the various externally-defined standard interfaces for XML. This
includes the DOM, SAX, and JAXP.

%package       manual
Summary:       Manual for %{name}

%description   manual
%{summary}.

%package       javadoc
Summary:       Javadoc for %{name}

%description   javadoc
%{summary}.

%prep
%setup -q -n external
# Make sure upstream hasn't sneaked in any jars we don't know about
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Fix file encodings
iconv -f iso8859-1 -t utf-8 LICENSE.dom-documentation.txt > \
  LICENSE.dom-doc.temp && mv -f LICENSE.dom-doc.temp LICENSE.dom-documentation.txt
iconv -f iso8859-1 -t utf-8 LICENSE.dom-software.txt > \
  LICENSE.dom-sof.temp && mv -f LICENSE.dom-sof.temp LICENSE.dom-software.txt

# disable javadoc linting
sed -i -e '/javadoc packagenames/aadditionalparam="-Xdoclint:none"' build.xml

# in Java 9+ a single underscore is no longer a valid identifier
sed -i -e 's/\(Throwable\|Exception\) _/\1 ex/' \
  src/javax/xml/validation/SchemaFactoryFinder.java \
  src/javax/xml/xpath/XPathFactoryFinder.java

# remove bogus section from poms
cp %{SOURCE3} %{SOURCE4} .
sed -i '/distributionManagement/,/\/distributionManagement/ {d}' *.pom

%mvn_file :xml-apis xml-commons-apis jaxp13 jaxp xml-commons-jaxp-1.3-apis
%mvn_file :xml-apis-ext xml-commons-apis-ext
%mvn_alias :xml-apis-ext xerces:dom3-xml-apis

%build
ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 jar javadoc

# inject OSGi manifests
jar ufm build/xml-apis.jar %{SOURCE1}
jar ufm build/xml-apis-ext.jar %{SOURCE2}

%mvn_artifact xml-apis-[0-9]*.pom build/xml-apis.jar
%mvn_artifact xml-apis-ext*.pom build/xml-apis-ext.jar

%install
%mvn_install -J build/docs/javadoc

# prevent apis javadoc from being included in doc
rm -rf build/docs/javadoc

%files -f .mfiles
%doc LICENSE NOTICE
%doc LICENSE.dom-documentation.txt README.dom.txt
%doc LICENSE.dom-software.txt LICENSE.sac.html
%doc LICENSE.sax.txt README-sax  README.sax.txt
%{_javadir}/*

%files manual
%doc build/docs/*

%files javadoc
%{_javadocdir}/*


%changelog
* Sat Nov 14 2020 tv <tv> 1.4.01-25.mga8
+ Revision: 1645884
- use jar command to generate jar files
- Fix building against Java 11

* Wed Feb 12 2020 umeabot <umeabot> 1.4.01-24.mga8
+ Revision: 1508269
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.4.01-23.mga7
+ Revision: 1292165
- Mageia 7 Mass Rebuild

* Sat Sep 02 2017 daviddavid <daviddavid> 1.4.01-22.mga7
+ Revision: 1150863
- Update to current packaging guidelines (sync with fc27)
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.4.01-20.mga6
+ Revision: 978224
- First rebuild of the java stack

* Tue Feb 09 2016 umeabot <umeabot> 1.4.01-19.mga6
+ Revision: 951545
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 daviddavid <daviddavid> 1.4.01-18.mga5
+ Revision: 808242
- Sync with fc21 (fix build failure)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.01-17.mga5
+ Revision: 749577
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.01-16.mga5
+ Revision: 690694
- Mageia 5 Mass Rebuild

* Tue Dec 10 2013 dmorgan <dmorgan> 1.4.01-15.mga4
+ Revision: 556154
- Remove Use of maven_demap macros

* Tue Dec 10 2013 joequant <joequant> 1.4.01-14.mga4
+ Revision: 556109
- fix maven_depmap
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 dmorgan <dmorgan> 1.4.01-12.mga4
+ Revision: 454904
- Add Require-Bundle: system.bundle to manifes
- Update manifest to match Eclipse version (Resolved: rhbz#964039).

* Mon Jan 14 2013 umeabot <umeabot> 1.4.01-8.mga3
+ Revision: 387126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1.4.01-7.mga3
+ Revision: 324987
- Add additional maven depmap
- Remove osgi(system.bundle) requirement from manifest

* Wed Sep 14 2011 gil <gil> 1.4.01-6.mga2
+ Revision: 143417
- edit spec file
- added m2 poms

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4.01-5.mga1
+ Revision: 93153
- Rebuild after bootstrapping

* Wed Apr 27 2011 dmorgan <dmorgan> 1.4.01-4.mga1
+ Revision: 91898
- imported package xml-commons-apis

